package org.springframework.boot.loader.jar;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Enumeration;
import java.util.Iterator;
import java.util.jar.JarEntry;
import org.springframework.boot.loader.jar.JarEntry;
import org.springframework.boot.loader.jar.JarFile;

class JarEntryEnumeration implements Enumeration<JarEntry> {
  private final Iterator<JarEntry> iterator;
  
  JarEntryEnumeration(Iterator<JarEntry> iterator) {
    this.iterator = iterator;
  }
  
  public boolean hasMoreElements() {
    return this.iterator.hasNext();
  }
  
  public JarEntry nextElement() {
    return (JarEntry)this.iterator.next();
  }
}
